For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
      • GETList Orders
      • GETGet Order
      • PATCHUpdate Order
      • POSTFulfill Order
      • POSTUnfulfill Order
      • POSTRefund Order
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
EcommerceOrders

List Orders

GET
https://api.webflow.com/v2/sites/:site_id/orders
GET
/v2/sites/:site_id/orders
$curl -G https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/orders \
> -H "Authorization: Bearer <token>" \
> -d offset=0 \
> -d limit=100
1{
2 "orders": [
3 {
4 "orderId": "7c1-9fd",
5 "status": "unfulfilled",
6 "comment": "Customer requested gift wrapping and a personalized note saying: Happy Birthday, Ford! 🎉 Please ensure the item is packed with extra bubble wrap for safe transit.",
7 "orderComment": "Please gift wrap with a personal note saying \"Happy Birthday, Ford! 🎉",
8 "acceptedOn": "2024-04-10T13:16:21.976Z",
9 "fulfilledOn": null,
10 "refundedOn": null,
11 "disputedOn": null,
12 "disputeUpdatedOn": null,
13 "disputeLastStatus": null,
14 "customerPaid": {
15 "unit": "USD",
16 "value": "21155",
17 "string": "$ 211.55 USD"
18 },
19 "netAmount": {
20 "unit": "USD",
21 "value": "20089",
22 "string": "$ 200.89 USD"
23 },
24 "applicationFee": {
25 "unit": "USD",
26 "value": "423",
27 "string": "$ 4.23 USD"
28 },
29 "allAddresses": [
30 {
31 "type": "billing",
32 "addressee": "Arthur Dent",
33 "line1": "20 W 34th St",
34 "line2": "Empire State Building",
35 "city": "New York",
36 "state": "New York",
37 "country": "US",
38 "postalCode": "10118"
39 },
40 {
41 "type": "shipping",
42 "addressee": "Arthur Dent",
43 "line1": "20 W 34th St",
44 "line2": "Empire State Building",
45 "city": "New York",
46 "state": "New York",
47 "country": "US",
48 "postalCode": "10118"
49 }
50 ],
51 "shippingAddress": {
52 "type": "shipping",
53 "japanType": "kanji",
54 "addressee": "Arthur Dent",
55 "line1": "20 W 34th St",
56 "line2": "Empire State Building",
57 "city": "New York",
58 "state": "New York",
59 "country": "US",
60 "postalCode": "10118"
61 },
62 "billingAddress": {
63 "type": "billing",
64 "addressee": "Arthur Dent",
65 "line1": "20 W 34th St",
66 "line2": "Empire State Building",
67 "city": "New York",
68 "state": "New York",
69 "country": "US",
70 "postalCode": "10118"
71 },
72 "shippingProvider": "Shipping Company, Co.",
73 "shippingTracking": "tr00000000002",
74 "shippingTrackingURL": "https://www.shippingcompany.com/tracking/tr00000000002",
75 "customerInfo": {
76 "fullName": "Arthur Dent",
77 "email": "arthur.dent@example.com"
78 },
79 "purchasedItems": [
80 {
81 "count": 2,
82 "rowTotal": {
83 "unit": "USD",
84 "value": "11122",
85 "string": "$ 111.22 USD"
86 },
87 "productId": "66072fb61b89448912e26791",
88 "productName": "Luxurious Fresh Ball",
89 "productSlug": "luxurious-fresh-ball",
90 "variantId": "66072fb71b89448912e2683f",
91 "variantName": "Luxurious Fresh Ball Generic: Bronze, Practical: Plastic",
92 "variantSlug": "luxurious-fresh-ball-generic-bronze-practical-plastic",
93 "variantSKU": "luxurious-fresh-ball-generic-bronze-practical-plastic",
94 "variantImage": {
95 "url": "https://dev-assets.website-files.com/66072f39417a2a35b2589cc7/66072fb51b89448912e2672c_image14.jpeg"
96 },
97 "variantPrice": {
98 "unit": "USD",
99 "value": "5561",
100 "string": "$ 55.61 USD"
101 },
102 "weight": 11,
103 "width": 82,
104 "height": 70,
105 "length": 9
106 },
107 {
108 "count": 1,
109 "rowTotal": {
110 "unit": "USD",
111 "value": "8309",
112 "string": "$ 83.09 USD"
113 },
114 "productId": "66072fb61b89448912e2678b",
115 "productName": "Incredible Bronze Towels",
116 "productSlug": "incredible-bronze-towels",
117 "variantId": "66072fb71b89448912e2681e",
118 "variantName": "Incredible Bronze Towels Sleek: Frozen, Incredible: Metal",
119 "variantSlug": "incredible-bronze-towels-sleek-frozen-incredible-metal",
120 "variantSKU": "incredible-bronze-towels-sleek-frozen-incredible-metal",
121 "variantImage": {
122 "url": "https://dev-assets.website-files.com/66072f39417a2a35b2589cc7/66072fb51b89448912e26729_image16.jpeg"
123 },
124 "variantPrice": {
125 "unit": "USD",
126 "value": "8309",
127 "string": "$ 83.09 USD"
128 },
129 "weight": null,
130 "width": 19,
131 "height": 72,
132 "length": 18
133 }
134 ],
135 "purchasedItemsCount": 3,
136 "stripeDetails": {
137 "subscriptionId": null,
138 "paymentMethod": "pm_1P410gJYFi4lcbXWbeKghqjK",
139 "paymentIntentId": "pi_3P410iJYFi4lcbXW0EKKgcVg",
140 "customerId": "cus_Ptod8KJBiiPgnH",
141 "chargeId": "ch_3P410iJYFi4lcbXW0DxUkzCH",
142 "disputeId": null,
143 "refundId": null,
144 "refundReason": null
145 },
146 "stripeCard": {
147 "last4": "4242",
148 "brand": "Visa",
149 "ownerName": "Arthur Dent",
150 "expires": {
151 "year": 2025,
152 "month": 4
153 }
154 },
155 "customData": [
156 {}
157 ],
158 "metadata": {
159 "isBuyNow": false
160 },
161 "hasDownloads": false,
162 "paymentProcessor": "stripe"
163 },
164 {
165 "orderId": "fc7-128",
166 "status": "refunded",
167 "comment": "Example comment to myself",
168 "orderComment": "",
169 "acceptedOn": "2024-03-29T21:29:21.555Z",
170 "fulfilledOn": null,
171 "refundedOn": "2024-04-08T18:25:04.238Z",
172 "disputedOn": null,
173 "disputeUpdatedOn": null,
174 "disputeLastStatus": null,
175 "customerPaid": {
176 "unit": "USD",
177 "value": "11873",
178 "string": "$ 118.73 USD"
179 },
180 "netAmount": {
181 "unit": "USD",
182 "value": "11262",
183 "string": "$ 112.62 USD"
184 },
185 "applicationFee": {
186 "unit": "USD",
187 "value": "237",
188 "string": "$ 2.37 USD"
189 },
190 "allAddresses": [
191 {
192 "type": "billing",
193 "addressee": "Arthur Dent",
194 "line1": "20 W 34th St",
195 "line2": "Empire State Building",
196 "city": "New York",
197 "state": "New York",
198 "country": "US",
199 "postalCode": "10118"
200 },
201 {
202 "type": "shipping",
203 "addressee": "Arthur Dent",
204 "line1": "20 W 34th St",
205 "line2": "Empire State Building",
206 "city": "New York",
207 "state": "New York",
208 "country": "US",
209 "postalCode": "10118"
210 }
211 ],
212 "shippingAddress": {
213 "type": "shipping",
214 "addressee": "Arthur Dent",
215 "line1": "20 W 34th St",
216 "line2": "Empire State Building",
217 "city": "New York",
218 "state": "New York",
219 "country": "US",
220 "postalCode": "10118"
221 },
222 "billingAddress": {
223 "type": "billing",
224 "addressee": "Arthur Dent",
225 "line1": "20 W 34th St",
226 "line2": "Empire State Building",
227 "city": "New York",
228 "state": "New York",
229 "country": "US",
230 "postalCode": "10118"
231 },
232 "shippingProvider": "Shipping Company, Co.",
233 "shippingTracking": "tr00000000001",
234 "shippingTrackingURL": "https://www.shippingcompany.com/tracking/tr00000000001",
235 "customerInfo": {
236 "fullName": "Arthur Dent",
237 "email": "arthur.dent@example.com"
238 },
239 "purchasedItems": [
240 {
241 "count": 1,
242 "rowTotal": {
243 "unit": "USD",
244 "value": "5561",
245 "string": "$ 55.61 USD"
246 },
247 "productId": "66072fb61b89448912e26791",
248 "productName": "Luxurious Fresh Ball",
249 "productSlug": "luxurious-fresh-ball",
250 "variantId": "66072fb71b89448912e2683f",
251 "variantName": "Luxurious Fresh Ball Generic: Bronze, Practical: Plastic",
252 "variantSlug": "luxurious-fresh-ball-generic-bronze-practical-plastic",
253 "variantSKU": "luxurious-fresh-ball-generic-bronze-practical-plastic",
254 "variantImage": {
255 "url": "https://dev-assets.website-files.com/66072f39417a2a35b2589cc7/66072fb51b89448912e2672c_image14.jpeg"
256 },
257 "variantPrice": {
258 "unit": "USD",
259 "value": "5561",
260 "string": "$ 55.61 USD"
261 },
262 "weight": 11,
263 "width": 82,
264 "height": 70,
265 "length": 9
266 },
267 {
268 "count": 1,
269 "rowTotal": {
270 "unit": "USD",
271 "value": "5344",
272 "string": "$ 53.44 USD"
273 },
274 "productId": "66072fb61b89448912e26799",
275 "productName": "Recycled Steel Gloves",
276 "productSlug": "recycled-steel-gloves",
277 "variantId": "66072fb91b89448912e26ab9",
278 "variantName": "Recycled Steel Gloves Electronic: Granite, Handcrafted: grey",
279 "variantSlug": "recycled-steel-gloves-electronic-granite-handcrafted-grey",
280 "variantSKU": "recycled-steel-gloves-electronic-granite-handcrafted-grey",
281 "variantImage": {
282 "url": "https://dev-assets.website-files.com/66072f39417a2a35b2589cc7/66072fb51b89448912e2671e_image2.jpeg"
283 },
284 "variantPrice": {
285 "unit": "USD",
286 "value": "5344",
287 "string": "$ 53.44 USD"
288 },
289 "weight": 38,
290 "width": 76,
291 "height": 85,
292 "length": 40
293 }
294 ],
295 "purchasedItemsCount": 2,
296 "stripeDetails": {
297 "subscriptionId": null,
298 "paymentMethod": "pm_1OzmzBJYFi4lcbXWHKNdXU7j",
299 "paymentIntentId": "pi_3OzmzDJYFi4lcbXW1hTBW6ft",
300 "customerId": "cus_PpRsNHwWdUoRKR",
301 "chargeId": "ch_3OzmzDJYFi4lcbXW1ndkkrH2",
302 "disputeId": null,
303 "refundId": "re_3OzmzDJYFi4lcbXW1kFAmlBk",
304 "refundReason": "fraudulent"
305 },
306 "stripeCard": {
307 "last4": "4242",
308 "brand": "Visa",
309 "ownerName": "Arthur Dent",
310 "expires": {
311 "year": 2024,
312 "month": 4
313 }
314 },
315 "customData": [
316 {}
317 ],
318 "metadata": {
319 "isBuyNow": false,
320 "hasDownloads": false,
321 "paymentProcessor": "stripe"
322 },
323 "isCustomerDeleted": false,
324 "isShippingRequired": true,
325 "totals": {
326 "subtotal": {
327 "unit": "USD",
328 "value": "10905",
329 "string": "$ 109.05 USD"
330 },
331 "extras": [
332 {
333 "type": "tax",
334 "name": "State Taxes",
335 "description": "NY Taxes (4.00%)",
336 "price": {
337 "unit": "USD",
338 "value": "436",
339 "string": "$ 4.36 USD"
340 }
341 },
342 {
343 "type": "tax",
344 "name": "City Taxes",
345 "description": "NEW YORK Taxes (4.88%)",
346 "price": {
347 "unit": "USD",
348 "value": "532",
349 "string": "$ 5.32 USD"
350 }
351 },
352 {
353 "type": "shipping",
354 "name": "Flat",
355 "description": "",
356 "price": {
357 "unit": "USD",
358 "value": "0",
359 "string": "$ 0.00 USD"
360 }
361 }
362 ],
363 "total": {
364 "unit": "USD",
365 "value": "11873",
366 "string": "$ 118.73 USD"
367 }
368 },
369 "downloadFiles": [
370 {
371 "id": "5e9a5eba75e0ac242e1b6f64",
372 "name": "New product guide",
373 "url": "https://webflow.com/dashboard/download-digital-product?payload=5d93ba5e38c6b0160ab711d3;e7634a;5eb1aac72912ec06f561278c;5e9a5eba75e0ac242e1b6f63:ka2nehxy:4a1ee0a632feaab94294350087215ed89533f2f530903e3b933b638940e921aa"
374 }
375 ]
376 }
377 ],
378 "pagination": {
379 "limit": 100,
380 "offset": 0,
381 "total": 2
382 }
383}

List all orders created for a given site.

Required scope | ecommerce:read

Was this page helpful?
Previous

Get Order

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Query parameters

statusenumOptional
Filter the orders by status
offsetintegerOptional
Offset used for pagination if the results have more than limit records
limitintegerOptional

Maximum number of records to be returned (max limit: 100)

Response

Request was successful
orderslist of objects
List of orders
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error